Query Recommender API 1.0.0¶
API for the Query Recommender
Servers¶
| Description | URL |
|---|---|
| /qr | /qr |
Endpoints¶
POST /api/v1/recommend-next-queries¶
Recommend Next Queries
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
HTTPBearer |
header | string | N/A | No | JWT Bearer token |
OAuth2PasswordBearer |
header | string | N/A | No |
Request body
{
"current_query": "string",
"context": null
}
Schema of the request body
{
"properties": {
"current_query": {
"type": "string",
"title": "Current Query"
},
"context": {
"anyOf": [
{},
{
"type": "null"
}
],
"title": "Context"
}
},
"type": "object",
"required": [
"current_query"
],
"title": "QueryRequest"
}
Responses
{
"next_queries": [
"string"
]
}
Schema of the response body
{
"properties": {
"next_queries": {
"items": {
"type": "string"
},
"type": "array",
"title": "Next Queries"
}
},
"type": "object",
"required": [
"next_queries"
],
"title": "QueryResponse"
}
{
"detail": [
{
"loc": [
null
],
"msg": "string",
"type": "string"
}
]
}
Schema of the response body
{
"properties": {
"detail": {
"items": {
"$ref": "#/components/schemas/ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}
POST /api/v1/authtest¶
Check that a bearer token is accepted by this API
Description
Validate caller token (signature, issuer and audience) and echo minimal identity + request payload.
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
HTTPBearer |
header | string | N/A | No | JWT Bearer token |
Request body
{
"query": "string",
"k": 0
}
Schema of the request body
{
"properties": {
"query": {
"type": "string",
"title": "Query"
},
"k": {
"type": "integer",
"title": "K"
}
},
"additionalProperties": false,
"type": "object",
"required": [
"query",
"k"
],
"title": "AuthTestRequest",
"description": "Input payload for the basic auth test endpoint (same shape as the other DataGEMS APIs)."
}
Responses
Schema of the response body
{
"detail": [
{
"loc": [
null
],
"msg": "string",
"type": "string"
}
]
}
Schema of the response body
{
"properties": {
"detail": {
"items": {
"$ref": "#/components/schemas/ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}
GET /api/v1¶
Api Home
Description
API root endpoint showing available endpoints
Responses
Schema of the response body
Schemas¶
AuthTestRequest¶
| Name | Type | Description |
|---|---|---|
k |
integer | |
query |
string |
HTTPValidationError¶
| Name | Type | Description |
|---|---|---|
detail |
Array<ValidationError> |
QueryRequest¶
| Name | Type | Description |
|---|---|---|
context |
||
current_query |
string |
QueryResponse¶
| Name | Type | Description |
|---|---|---|
next_queries |
Array<string> |
ValidationError¶
| Name | Type | Description |
|---|---|---|
loc |
Array<> | |
msg |
string | |
type |
string |
Security schemes¶
| Name | Type | Scheme | Description |
|---|---|---|---|
| OAuth2PasswordBearer | oauth2 | ||
| HTTPBearer | http | bearer |